Page MenuHomePhabricator

SCAP: Upload debian package version 3.7.4-3
Closed, ResolvedPublic

Description

Debian version bump commit: rMSCA0559eb0084bb: Bumping Debian version to 3.7.4-1
Upstream version bump commit: rMSCA5edc56e564a1: Bump version to 3.7.4

Puppet package version change: rOPUP5714bcd7a26e: Bump scap version to 3.7.4-1 (pending)

@fgiunchedi: can you do the upload?

Event Timeline

mmodell triaged this task as High priority.Dec 9 2017, 3:52 AM
mmodell added a project: SRE.

High priority because the new version of scap will help with debugging T181661: Connection timeout from tin to new ores servers

akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

Package built for both jessie and trusty and uploaded on apt.wikimedia.org. Puppet change merged as well

thcipriani added a subscriber: thcipriani.

I'm unclear what happened here, but we're missing an important configuration flag scap3_mediawiki from the current release on tin:

https://phabricator.wikimedia.org/source/scap/browse/release/scap/main.py;0559eb0084bb348b2583964878a4c18b50ca08c9$334

vs

[thcipriani@tin ~]$ grep -i scap3_m /usr/lib/python2.7/dist-packages/scap/config.py
[thcipriani@tin ~]$ grep -i scap3_m /usr/lib/python2.7/dist-packages/scap/main.py

I don't see the debian/3.7.4-1 tag in the repo, but I do see 3.7.4 tagged. The configuration flag is present at that tag, could an opsen rebuild and upload a debian/3.7.4-2?

After some investigation it turns out I built master and not release branch which caused all this nice things. I am building 3.7.4-2 to fix this

Change 398507 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Scap: bump version to 3.7.4-2

https://gerrit.wikimedia.org/r/398507

Change 398507 merged by Alexandros Kosiaris:
[operations/puppet@production] Scap: bump version to 3.7.4-2

https://gerrit.wikimedia.org/r/398507

I 've went ahead and built and uploaded the package in order to avoid any immediate issues from the botched release. In D916 jenkins doesn't love me, but it's all Java to me :D.

I 've met a number of issues while building, I 'll post notes on Monday asking for a few questions.

I 've went ahead and built and uploaded the package in order to avoid any immediate issues from the botched release. In D916 jenkins doesn't love me, but it's all Java to me :D.

D916 accepted. Must be something weird with requests to non-master branch, will check it out.

I 've met a number of issues while building, I 'll post notes on Monday asking for a few questions.

scap release has grown up pretty ad-hoc, so streamlining and sane-making would be great!

Thanks for all your help! I see what I expect on tin, calling this closed:

[thcipriani@tin ~]$ grep -i scap3_m /usr/lib/python2.7/dist-packages/scap/config.py                                                                                      
    'scap3_mediawiki': (bool, False),

And botched a second time. See T183046. I 've managed to botch 2 times in a row a release of the software. I am the one the blame fully in the latter case but this is becoming weird.

akosiaris renamed this task from SCAP: Upload debian package version 3.7.4-1 to SCAP: Upload debian package version 3.7.4-3.Dec 18 2017, 11:39 AM

Change 398822 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Bump scap to 3.7.4-3

https://gerrit.wikimedia.org/r/398822

Mentioned in SAL (#wikimedia-operations) [2017-12-18T12:20:15Z] <akosiaris> build scap 3.7.4-3 and upload to jessie-wikimedia, stretch-wikimedia, trusty-wikimedia. T183046, T182347

Change 398822 merged by Alexandros Kosiaris:
[operations/puppet@production] Bump scap to 3.7.4-3

https://gerrit.wikimedia.org/r/398822

Done, re-resolving finally